=== debian/changelog ===
qtwebkit-opensource-src (5.5.1+dfsg-2ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Sync with Debian packaging, remaining changes:
    - Build without WebP (in universe)
    - Transitional package for 14.04 LTS -> 16.04 LTS
    - Own .symbols file

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 09:27:17 +0000

qtwebkit-opensource-src (5.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 16:15:58 -0300

qtwebkit-opensource-src (5.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Override lintian false positives for javascript files. Long lines do not
    mean minified javascript.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Oct 2015 23:08:49 -0300

qtwebkit-opensource-src (5.5.0+dfsg-2) experimental; urgency=medium

  * Add empty override_dh_auto_test target to make indep builds work.
  * Remove copyright entries for generated files that are not present in the
    tarball.
  * Explicitly specify Makefile to use for installing docs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2015 09:49:40 +0300

qtwebkit-opensource-src (5.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Build with GStreamer 1.0 (closes: #762158).
  * Update and simplify symbols file.
  * Refresh no_gc_sections.diff.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Aug 2015 14:33:40 +0300

qtwebkit-opensource-src (5.4.2+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Update symbols files with the current build log and gcc5 (Closes: #791262).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 09 Aug 2015 14:58:14 -0300

qtwebkit-opensource-src (5.4.2+dfsg-2) unstable; urgency=medium

  * Team upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

  [ Felix Geyer ]
  * Update symbols files for amd64.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 23 Jun 2015 19:20:46 +0200
